package signtools;

public class LaunchFromUtility {
    SignFileUtil signFileUtil;
    ValidateSignedFileUtil validateFileUtil;
    public LaunchFromUtility() {
        super();
    }
    
    public static void main(String[] args) {
        LaunchFromUtility launchFromUtility = new LaunchFromUtility();
        launchFromUtility.sign();
        launchFromUtility.validate();
    }
    
    public void sign(){
        String keyStoreFile="C:\\DEMOS\\allJKS.jks";
        String keyStorePassword="XBRL2013";
        String keyStoreAlias="nsa";
        String filetoSign="c:\\DEMOS\\files\\helloword.txt";
        String outputFile="c:\\DEMOS\\mytests\\files\\helloword.txt.firmado.xml";
        signFileUtil=new SignFileUtil();
        signFileUtil.doFileEnvelopingSignature(keyStoreFile, keyStorePassword, keyStoreAlias, filetoSign, outputFile);
        System.out.println("Error en firma: "+signFileUtil.isErrorFlag());
        System.out.println("DONE.");
        return;
    }
    
    public void validate(){
        String inputFile="c:\\DEMOS\\mytests\\files\\helloword.txt.firmado.xml";
        String path="c:\\DEMOS\\mytests\\files\\";
        validateFileUtil=new ValidateSignedFileUtil();
        validateFileUtil.doFileSignatureValidation(inputFile, path);
        System.out.println("Error en validacin de firma: "+validateFileUtil.isErrorFlag());
        System.out.println("Output file (the one embedded inside the signature: "+
                           validateFileUtil.getEmbeddedFileName()+ " (at: "+path+")");
        System.out.println("DONE.");
        return;
    }
}